Back to Platform

PUT /hooks/subscriptions/{id}

PUT
/hooks/subscriptions/{id}

PUT operation for /hooks/subscriptions/{id}

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://dev-rest.onboard.io/hooks/subscriptions/string" \  -H "Content-Type: application/json" \  -d '{    "target": "https://example.com",    "event_type": "map-created",    "version": "string",    "automatic_retry": true,    "description": "string",    "is_enabled": true,    "is_salesforce": true,    "is_hubspot": true,    "custom_field": "string"  }'
{
  "id": 1,
  "target": "https://example.com",
  "event_type": "map-created",
  "version": "string",
  "automatic_retry": true,
  "created_at": "2021-01-01T00:00:00Z",
  "description": "string",
  "is_enabled": true,
  "is_salesforce": true,
  "is_hubspot": true,
  "custom_field": "string"
}
Empty
Empty
Empty

How is this guide?